summaryrefslogtreecommitdiffstats
path: root/libreoffice
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-02-08 18:47:06 +0000
committer Eric Hameleers <alien@slackware.com>2018-02-08 18:47:06 +0000
commitf4f7527da6d9f7c1f496d132823de2ab22ed1c11 (patch)
treec5e3a06d69caf82164dad62e563696aab7c10ff7 /libreoffice
parent7348ac770ab77be1204578a8783d225dd1f0f9a7 (diff)
downloadasb-f4f7527da6d9f7c1f496d132823de2ab22ed1c11.tar.gz
asb-f4f7527da6d9f7c1f496d132823de2ab22ed1c11.tar.xz
libreoffice: handle gpgme better
Diffstat (limited to 'libreoffice')
-rwxr-xr-xlibreoffice/build/libreoffice.SlackBuild12
1 files changed, 11 insertions, 1 deletions
diff --git a/libreoffice/build/libreoffice.SlackBuild b/libreoffice/build/libreoffice.SlackBuild
index 4fc49240..c9d22aff 100755
--- a/libreoffice/build/libreoffice.SlackBuild
+++ b/libreoffice/build/libreoffice.SlackBuild
@@ -322,6 +322,16 @@ else
COMPR="xz"
fi
+# Causes a lot of trouble otherwise:
+if ! which gpgme-config 1>/dev/null 2>/dev/null ; then
+ GPGMEOPTS="--without-system-gpgmepp"
+elif [ $(gpgme-config --version |cut -d. -f1) -eq 1 -a $(gpgme-config --version |cut -d. -f2) -lt 9 ]; then
+ # gpgme < 1.9.0 so don't use the system libs:
+ GPGMEOPTS="--without-system-gpgmepp"
+else
+ GPGMEOPTS="--with-system-gpgmepp"
+fi
+
DOCS="AUTHORS COPYING* MAINTAINERS NEWS README* TODO"
PACKAGER="Eric Hameleers"
@@ -1218,6 +1228,7 @@ touch autogen.lastrun
${KDEOPTS} \
${ARCHOPTS} \
${GDRIVEOPTS} \
+ ${GPGMEOPTS} \
--enable-dbus \
--enable-eot \
--enable-epm \
@@ -1242,7 +1253,6 @@ touch autogen.lastrun
--with-system-curl \
--with-system-dicts \
--with-system-expat \
- --with-system-gpgmepp \
--with-system-icu \
--with-system-neon \
--with-system-nss \